SystemOrganization addCategory: #'Equipement-TIT'!

TestCase subclass: #AnalogInputTest
	instanceVariableNames: 'power'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipement-TIT'!

AnalogInputTest class
	instanceVariableNames: 'testPointValueShouldBeO power'!

AnalogInputTest class
	instanceVariableNames: 'testPointValueShouldBeO power'!

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: 'Guillaume 4/27/2012 16:04'!
testPointValue15000ShouldBe15000

power := AnalogInput new.
power pointValue: 15000.
self assert: 15000 = power pointValue.! !

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: 'Guillaume 4/27/2012 17:03'!
testPointValueMaxShouldBe32767

power := AnalogInput new.
power pointValue: 40000.
self assert: 32767 = power pointValue.! !

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: 'Guillaume 4/27/2012 17:01'!
testPointValueMinus1ShouldBe0

power := AnalogInput new.
power pointValue: -1.
self assert: 0 = power pointValue.! !

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: 'Guillaume 4/27/2012 16:08'!
testPointValueShouldBeO

power := AnalogInput new.
power label: 'QPW1'.
self assert: 0 = power pointValue.
! !

Object subclass: #AnalogInput
	instanceVariableNames: 'pointValue label'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipement-TIT'!

!AnalogInput methodsFor: 'accessing' stamp: 'Guillaume 4/27/2012 17:22'!
label
	^label.! !

!AnalogInput methodsFor: 'accessing' stamp: 'Guillaume 4/27/2012 17:21'!
label: aByteString 
	label := aByteString! !

!AnalogInput methodsFor: 'accessing' stamp: 'Guillaume 4/27/2012 17:00'!
pointValue
	^ 32767 min: (0max: (pointValue ifNil: [^0]))! !

!AnalogInput methodsFor: 'accessing' stamp: 'Guillaume 4/27/2012 16:06'!
pointValue: aSmallInteger 
	pointValue := aSmallInteger! !
